;;; oni-sh.el --- sh-mode configuration              -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 20190130014540
;; Package-Requires: (reformatter flycheck fill-column-indicator)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration and helpers for `sh-mode'.

;;; Code:

(require 'reformatter)

(reformatter-define shfmt
  :program "shfmt"
  :args "-s -i 4 -bn -ci -sr"
  :lighter ""
  :group 'shfmt)

(add-hook 'sh-mode-hook 'electric-indent-local-mode)
(add-hook 'sh-mode-hook 'electric-pair-local-mode)
(add-hook 'sh-mode-hook 'fci-mode)
(add-hook 'sh-mode-hook 'flycheck-mode)
(add-hook 'sh-mode-hook 'shfmt-on-save-mode)

;;;###autoload(with-eval-after-load 'sh-script (require 'oni-sh))

(provide 'oni-sh)
;;; oni-sh.el ends here
